[Pkg-nagios-changes] [pkg-pnp4nagios] 02/06: Modernize and split Apache configuration
Markus Frosch (old DM Account)
lazyfrosch-guest at moszumanska.debian.org
Sun Sep 7 09:50:42 UTC 2014
This is an automated email from the git hooks/post-receive script.
lazyfrosch-guest pushed a commit to branch master
in repository pkg-pnp4nagios.
commit ce4e5ae21ba7e755e7b281163815e1b0443c9673
Author: Markus Frosch <markus at lazyfrosch.de>
Date: Mon Sep 1 16:55:55 2014 +0200
Modernize and split Apache configuration
---
debian/pnp4nagios-web-config-icinga.examples | 1 -
debian/pnp4nagios-web-config-icinga.postinst | 63 +++++++++++++++++++++
....postrm => pnp4nagios-web-config-icinga.postrm} | 22 +++++---
debian/pnp4nagios-web-config-nagios3.install | 2 -
debian/pnp4nagios-web-config-nagios3.postinst | 63 +++++++++++++++++++++
...postrm => pnp4nagios-web-config-nagios3.postrm} | 22 +++++---
debian/pnp4nagios-web.config | 40 --------------
debian/pnp4nagios-web.examples | 1 +
debian/pnp4nagios-web.install | 1 +
debian/pnp4nagios-web.postinst | 43 ---------------
debian/pnp4nagios-web.templates | 9 ---
debian/po/POTFILES.in | 1 -
debian/po/cs.po | 38 -------------
debian/po/da.po | 40 --------------
debian/po/de.po | 40 --------------
debian/po/es.po | 64 ----------------------
debian/po/fr.po | 40 --------------
debian/po/ja.po | 38 -------------
debian/po/nl.po | 39 -------------
debian/po/pt.po | 40 --------------
debian/po/ru.po | 40 --------------
debian/po/sv.po | 39 -------------
debian/po/templates.pot | 38 -------------
debian/rules | 13 -----
24 files changed, 156 insertions(+), 581 deletions(-)
diff --git a/debian/pnp4nagios-web-config-icinga.examples b/debian/pnp4nagios-web-config-icinga.examples
deleted file mode 100644
index 51bf4bb..0000000
--- a/debian/pnp4nagios-web-config-icinga.examples
+++ /dev/null
@@ -1 +0,0 @@
-debian/npcdmod.cfg
diff --git a/debian/pnp4nagios-web-config-icinga.postinst b/debian/pnp4nagios-web-config-icinga.postinst
new file mode 100644
index 0000000..a29528d
--- /dev/null
+++ b/debian/pnp4nagios-web-config-icinga.postinst
@@ -0,0 +1,63 @@
+#!/bin/sh
+# postinst script for pnp4nagios-web-config-icinga
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ configure)
+ echo "enabling Apache2 config..."
+
+ COMMON_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)
+
+ # NEW method for Apache >= 2.4
+ if [ -e /usr/share/apache2/apache2-maintscript-helper ]; then
+ . /usr/share/apache2/apache2-maintscript-helper
+
+ apache2_invoke enconf rewrite
+ apache2_invoke enconf pnp4nagios-web
+
+ # remove OLD Apache 2.2 link
+ [ -L /etc/apache2/conf.d/pnp4nagios-web.conf ] && rm /etc/apache2/conf.d/pnp4nagios-web.conf
+
+ # OLD methods for Apache < 2.4
+ elif [ "$COMMON_STATE" = "installed" ] || [ "$COMMON_STATE" = "unpacked" ] ; then
+ # enable mod rewrite
+ [ -f /etc/apache2/mods-enabled/rewrite.load ] || a2enmod rewrite
+
+ # create symlink if not existing
+ [ -f /etc/apache2/conf.d/pnp4nagios-web.conf ] || ln -vs ../conf-available/pnp4nagios-web.conf /etc/apache2/conf.d/pnp4nagios-web.conf
+
+ # reload webserver
+ [ -x $(which invoke-rc.d) ] && invoke-rc.d apache2 reload
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/pnp4nagios-web.postrm b/debian/pnp4nagios-web-config-icinga.postrm
similarity index 61%
copy from debian/pnp4nagios-web.postrm
copy to debian/pnp4nagios-web-config-icinga.postrm
index 5b0a21a..cfe533b 100644
--- a/debian/pnp4nagios-web.postrm
+++ b/debian/pnp4nagios-web-config-icinga.postrm
@@ -1,5 +1,5 @@
#!/bin/sh
-# postrm script for pnp4nagios-web
+# postrm script for pnp4nagios-web-config-icinga
#
# see: dh_installdeb(1)
@@ -21,13 +21,19 @@ set -e
case "$1" in
purge|remove)
- if [ -d /etc/apache2/conf.d/ ]; then
- if [ -L /etc/apache2/conf.d/pnp4nagios.conf ]; then
- ls -l /etc/apache2/conf.d/pnp4nagios.conf | grep -q /etc/pnp4nagios/apache.conf
- if [ $? -eq 0 ]; then
- rm -f /etc/apache2/conf.d/pnp4nagios.conf
- fi
- fi
+ # Apache2
+ if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+ echo "disabling Apache2 configuration ..."
+ . /usr/share/apache2/apache2-maintscript-helper
+ apache2_invoke disconf pnp4nagios-web
+ fi
+
+ if [ -L /etc/apache2/conf.d/pnp4nagios-web.conf ]; then
+ echo "removing link /etc/apache2/conf.d/pnp4nagios-web.conf ..."
+ # remove link to config
+ rm -f /etc/apache2/conf.d/pnp4nagios-web.conf
+ # reload webserver
+ [ -x $(which invoke-rc.d) ] && invoke-rc.d apache2 reload || true
fi
;;
upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
diff --git a/debian/pnp4nagios-web-config-nagios3.install b/debian/pnp4nagios-web-config-nagios3.install
deleted file mode 100644
index c3605a3..0000000
--- a/debian/pnp4nagios-web-config-nagios3.install
+++ /dev/null
@@ -1,2 +0,0 @@
-etc/pnp4nagios/apache.conf
-etc/pnp4nagios/config.php
diff --git a/debian/pnp4nagios-web-config-nagios3.postinst b/debian/pnp4nagios-web-config-nagios3.postinst
new file mode 100644
index 0000000..be85026
--- /dev/null
+++ b/debian/pnp4nagios-web-config-nagios3.postinst
@@ -0,0 +1,63 @@
+#!/bin/sh
+# postinst script for pnp4nagios-web-config-nagios3
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ configure)
+ echo "enabling Apache2 config..."
+
+ COMMON_STATE=$(dpkg-query -f '${Status}' -W 'apache2.2-common' 2>/dev/null | awk '{print $3}' || true)
+
+ # NEW method for Apache >= 2.4
+ if [ -e /usr/share/apache2/apache2-maintscript-helper ]; then
+ . /usr/share/apache2/apache2-maintscript-helper
+
+ apache2_invoke enconf rewrite
+ apache2_invoke enconf pnp4nagios-web
+
+ # remove OLD Apache 2.2 link
+ [ -L /etc/apache2/conf.d/pnp4nagios-web.conf ] && rm /etc/apache2/conf.d/pnp4nagios-web.conf
+
+ # OLD methods for Apache < 2.4
+ elif [ "$COMMON_STATE" = "installed" ] || [ "$COMMON_STATE" = "unpacked" ] ; then
+ # enable mod rewrite
+ [ -f /etc/apache2/mods-enabled/rewrite.load ] || a2enmod rewrite
+
+ # create symlink if not existing
+ [ -f /etc/apache2/conf.d/pnp4nagios-web.conf ] || ln -vs ../conf-available/pnp4nagios-web.conf /etc/apache2/conf.d/pnp4nagios-web.conf
+
+ # reload webserver
+ [ -x $(which invoke-rc.d) ] && invoke-rc.d apache2 reload
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/pnp4nagios-web.postrm b/debian/pnp4nagios-web-config-nagios3.postrm
similarity index 61%
rename from debian/pnp4nagios-web.postrm
rename to debian/pnp4nagios-web-config-nagios3.postrm
index 5b0a21a..60c4666 100644
--- a/debian/pnp4nagios-web.postrm
+++ b/debian/pnp4nagios-web-config-nagios3.postrm
@@ -1,5 +1,5 @@
#!/bin/sh
-# postrm script for pnp4nagios-web
+# postrm script for pnp4nagios-web-config-nagios3
#
# see: dh_installdeb(1)
@@ -21,13 +21,19 @@ set -e
case "$1" in
purge|remove)
- if [ -d /etc/apache2/conf.d/ ]; then
- if [ -L /etc/apache2/conf.d/pnp4nagios.conf ]; then
- ls -l /etc/apache2/conf.d/pnp4nagios.conf | grep -q /etc/pnp4nagios/apache.conf
- if [ $? -eq 0 ]; then
- rm -f /etc/apache2/conf.d/pnp4nagios.conf
- fi
- fi
+ # Apache2
+ if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+ echo "disabling Apache2 configuration ..."
+ . /usr/share/apache2/apache2-maintscript-helper
+ apache2_invoke disconf pnp4nagios-web
+ fi
+
+ if [ -L /etc/apache2/conf.d/pnp4nagios-web.conf ]; then
+ echo "removing link /etc/apache2/conf.d/pnp4nagios-web.conf ..."
+ # remove link to config
+ rm -f /etc/apache2/conf.d/pnp4nagios-web.conf
+ # reload webserver
+ [ -x $(which invoke-rc.d) ] && invoke-rc.d apache2 reload || true
fi
;;
upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
diff --git a/debian/pnp4nagios-web.config b/debian/pnp4nagios-web.config
deleted file mode 100644
index 5ecb5d3..0000000
--- a/debian/pnp4nagios-web.config
+++ /dev/null
@@ -1,40 +0,0 @@
-#! /bin/sh
-# config script for pnp4nagios-web
-#
-# see: dh_installdebconf(1)
-
-set -e
-
-# summary of how this script can be called:
-# * <preconfigure> `configure' <installed-version>
-# * <postinst> `configure' <old-version>
-# * <reconfigure> `reconfigure' <installed-version>
-
-. /usr/share/debconf/confmodule
-
-case "$1" in
- configure|reconfigure)
- default_servers=""
- if test -d /etc/apache2/conf.d; then
- default_servers="apache2"
- fi
-
- db_fget pnp4nagios-web/httpd seen
- if [ "$RET" = "false" ]; then
- db_set pnp4nagios-web/httpd "$default_servers"
- fi
-
- db_input medium pnp4nagios-web/httpd || true
- db_go || true
- ;;
-
- *)
- echo "config called with unknown argument \`$1'" >&2
- exit 1
- ;;
-esac
-
-db_stop
-
-exit 0
-
diff --git a/debian/pnp4nagios-web.examples b/debian/pnp4nagios-web.examples
new file mode 100644
index 0000000..0846caf
--- /dev/null
+++ b/debian/pnp4nagios-web.examples
@@ -0,0 +1 @@
+sample-config/httpd.conf
diff --git a/debian/pnp4nagios-web.install b/debian/pnp4nagios-web.install
index fccb4cb..9a86804 100644
--- a/debian/pnp4nagios-web.install
+++ b/debian/pnp4nagios-web.install
@@ -1,3 +1,4 @@
+etc/pnp4nagios/config.php
etc/pnp4nagios/background.pdf
etc/pnp4nagios/templates/
etc/pnp4nagios/templates.d/
diff --git a/debian/pnp4nagios-web.postinst b/debian/pnp4nagios-web.postinst
index feb27e7..da6d8c3 100644
--- a/debian/pnp4nagios-web.postinst
+++ b/debian/pnp4nagios-web.postinst
@@ -17,8 +17,6 @@ set -e
# for details, see http://www.debian.org/doc/debian-policy/ or
# the debian-policy package
-. /usr/share/debconf/confmodule
-
setperm() {
user="$1"
group="$2"
@@ -32,32 +30,6 @@ setperm() {
fi
}
-configure_apache2() {
- a2reload="false"
-
- if [ -d /etc/apache2/conf.d/ ]; then
- if [ ! -e /etc/apache2/conf.d/pnp4nagios.conf ]; then
- ln -s /etc/pnp4nagios/apache.conf /etc/apache2/conf.d/pnp4nagios.conf
- a2reload="true"
- fi
- fi
-
- if [ -d /etc/apache2/mods-enabled ]; then
- if [ ! -e /etc/apache2/mods-enabled/rewrite.load ]; then
- if [ -x /usr/sbin/a2enmod ]; then
- a2enmod rewrite
- a2reload="true"
- fi
- fi
- fi
-
- if [ "$a2reload" = "true" ]; then
- if [ -x /etc/init.d/apache2 ]; then
- invoke-rc.d apache2 reload
- fi
- fi
-}
-
case "$1" in
configure)
if ! getent passwd nagios > /dev/null ; then
@@ -68,21 +40,6 @@ case "$1" in
setperm nagios www-data 750 /var/lib/pnp4nagios
setperm nagios nagios 755 /var/lib/pnp4nagios/perfdata
setperm nagios www-data 750 /var/log/pnp4nagios
-
- db_get pnp4nagios-web/httpd
- http_servers=`echo $RET | sed -e 's/,/ /g'`
-
- for httpd in $http_servers; do
- case "$httpd" in
- apache2)
- configure_apache2
- ;;
- # WISHLIST: configure other web servers as well
- *)
- echo "Don't know how to configure web server $httpd" >&2
- ;;
- esac
- done
;;
abort-upgrade|abort-remove|abort-deconfigure)
diff --git a/debian/pnp4nagios-web.templates b/debian/pnp4nagios-web.templates
deleted file mode 100644
index 38aac58..0000000
--- a/debian/pnp4nagios-web.templates
+++ /dev/null
@@ -1,9 +0,0 @@
-Template: pnp4nagios-web/httpd
-Type: multiselect
-Choices: apache2
-Default: apache2
-_Description: Web servers to configure for PNP4Nagios:
- Please select which web servers should be configured for PNP4Nagios.
- .
- If you would prefer to perform configuration manually, leave all
- servers unselected.
diff --git a/debian/po/POTFILES.in b/debian/po/POTFILES.in
deleted file mode 100644
index 02081d5..0000000
--- a/debian/po/POTFILES.in
+++ /dev/null
@@ -1 +0,0 @@
-[type: gettext/rfc822deb] pnp4nagios-web.templates
diff --git a/debian/po/cs.po b/debian/po/cs.po
deleted file mode 100644
index 8d6a41d..0000000
--- a/debian/po/cs.po
+++ /dev/null
@@ -1,38 +0,0 @@
-# Czech PO debconf template translation of pnp4nagios.
-# Copyright (C) 2012 Michal Simunek <michal.simunek at gmail.com>
-# This file is distributed under the same license as the pnp4nagios package.
-# Michal Simunek <michal.simunek at gmail.com>, 2012.
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2012-01-08 15:31+0200\n"
-"Last-Translator: Michal Simunek <michal.simunek at gmail.com>\n"
-"Language-Team: Czech <debian-l10n-czech at lists.debian.org>\n"
-"Language: cs\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=utf-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "Nastavit webové servery pro PNP4Nagios:"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr "Vyberte prosím, které webové servery se mají nastavit pro PNP4Nagios."
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr ""
-"Přejete-li si provést nastavení raději ručně, nevybírejte žádné servery."
diff --git a/debian/po/da.po b/debian/po/da.po
deleted file mode 100644
index b8f7200..0000000
--- a/debian/po/da.po
+++ /dev/null
@@ -1,40 +0,0 @@
-# Danish translation pnp4nagios.
-# Copyright (C) 2012 pnp4nagios & nedenstående oversættere.
-# This file is distributed under the same license as the pnp4nagios package.
-# Joe Hansen <joedalton2 at yahoo.dk>, 2012.
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2012-01-05 17:34+0000\n"
-"Last-Translator: Joe Hansen <joedalton2 at yahoo.dk>\n"
-"Language-Team: Danish <dansk at dansk-gruppen.dk>\n"
-"Language: da\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "Internetservere at konfigurere for PNP4Nagios:"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr "Vælg venligst hvilke internetservere der skal konfigureres for PNP4Nagios."
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr ""
-"Hvis du foretrækker at udføre konfigurationen manuelt, så lad alle "
-"serverne være umarkerede."
-
diff --git a/debian/po/de.po b/debian/po/de.po
deleted file mode 100644
index 03a1236..0000000
--- a/debian/po/de.po
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright (C) 2011 Sebastian Harl <tokkee at debian.org>
-# This file is distributed under the same license as the pnp4nagios package.
-#
-# Sebastian Harl <tokkee at debian.org>, 2011.
-# Based on the German nagios3/httpd translation by Matthias Julius
-# <mdeb at julius-net.net>.
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2011-04-18 10:15+0200\n"
-"Last-Translator: Sebastian Harl <tokkee at debian.org>\n"
-"Language-Team: German <debian-l10n-german at lists.debian.org>\n"
-"Language: de\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "Für PNP4Nagios einzurichtende Web-Server:"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr "Bitte wählen Sie, welche Web-Server für PNP4Nagios eingerichtet "
-"werden sollen."
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr "Falls Sie es vorziehen, die Einrichtung manuell durchzuführen, "
-"lassen Sie alle Server deselektiert."
diff --git a/debian/po/es.po b/debian/po/es.po
deleted file mode 100644
index 90d3c1b..0000000
--- a/debian/po/es.po
+++ /dev/null
@@ -1,64 +0,0 @@
-# pnp4nagios po-debconf translation to Spanish
-# Copyright (C) 2010 Software in the Public Interest
-# This file is distributed under the same license as the pnp4nagios package.
-#
-# Changes:
-# - Initial translation
-# Camaleón <noelamac at gmail.com>, 2011
-#
-# - Updates
-#
-#
-# Traductores, si no conocen el formato PO, merece la pena leer la
-# documentación de gettext, especialmente las secciones dedicadas a este
-# formato, por ejemplo ejecutando:
-# info -n '(gettext)PO Files'
-# info -n '(gettext)Header Entry'
-#
-# Equipo de traducción al español, por favor lean antes de traducir
-# los siguientes documentos:
-#
-# - El proyecto de traducción de Debian al español
-# http://www.debian.org/intl/spanish/
-# especialmente las notas y normas de traducción en
-# http://www.debian.org/intl/spanish/notas
-#
-# - La guía de traducción de po's de debconf:
-# /usr/share/doc/po-debconf/README-trans
-# o http://www.debian.org/intl/l10n/po-debconf/README-trans
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios 0.6.13-1\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2011-06-27 13:30+0200\n"
-"Last-Translator: Camaleón <noelamac at gmail.com>\n"
-"Language-Team: Debian Spanish <debian-l10n-spanish at lists.debian.org>\n"
-"Language: \n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "Servidores web a configurar para PNP4Nagios:"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr ""
-"Seleccione los servidores web que se deberían configurar para PNP4Nagios."
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr ""
-"Si prefiere llevar a cabo una configuración manual, no seleccione ningún "
-"servidor."
diff --git a/debian/po/fr.po b/debian/po/fr.po
deleted file mode 100644
index 86157d9..0000000
--- a/debian/po/fr.po
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright (C) 2011 Debian French l10n team <debian-l10n-french at lists.debian.org>
-# This file is distributed under the same license as the pnp4nagios package.
-#
-# Christian Perrier <bubulle at debian.org>, 2011.
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2011-04-13 08:54+0200\n"
-"Last-Translator: Christian Perrier <bubulle at debian.org>\n"
-"Language-Team: French <debian-l10n-french at lists.debian.org>\n"
-"Language: fr\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 1.0\n"
-"Plural-Forms: nplurals=2; plural=(n > 1);\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "Serveur(s) web à configurer pour PNP4Nagios :"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr "Veuillez choisir le(s) serveur(s) web à configurer pour PNP4Nagios."
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr ""
-"Si vous préférez configurer vous-même ce paquet, ne sélectionnez aucun "
-"serveur."
diff --git a/debian/po/ja.po b/debian/po/ja.po
deleted file mode 100644
index aa7915f..0000000
--- a/debian/po/ja.po
+++ /dev/null
@@ -1,38 +0,0 @@
-# Copyright (C) 2011 Debian Nagios Maintainer Group <pkg-nagios-devel at lists.alioth.debian.org>
-# This file is distributed under the same license as the pnp4nagios package.
-# Hideki Yamane <henrich at debian.org>, 2011.
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios 0.6.12-1\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2011-05-01 07:26+0900\n"
-"Last-Translator: Hideki Yamane <henrich at debian.org>\n"
-"Language-Team: Japanese <debian-japanese at lists.debian.org>\n"
-"Language: ja\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "PNP4Nagios 用に設定するウェブサーバ:"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr "PNP4Nagios 用に設定するウェブサーバを選択してください。"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr ""
-"手動で設定をしたい場合には、どのサーバも選ばないでください。"
-
diff --git a/debian/po/nl.po b/debian/po/nl.po
deleted file mode 100644
index df6d3c1..0000000
--- a/debian/po/nl.po
+++ /dev/null
@@ -1,39 +0,0 @@
-# Dutch translation of pnp4nagios debconf templates.
-# Copyright (C) 2012 Jeroen Schot
-# This file is distributed under the same license as the pnp4nagios package.
-# Jeroen Schot <schot at a-eskwadraat.nl>, 2012.
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios 0.6.13-1\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2012-01-02 14:09+0100\n"
-"Last-Translator: Jeroen Schot <schot at a-eskwadraat.nl>\n"
-"Language-Team: Debian l10n Dutch <debian-l10n-dutch at lists.debian.org>\n"
-"Language: nl\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "Automatisch te configureren webservers:"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr ""
-"Welke webservers moeten automatisch worden geconfigureerd voor PNP4Nagios?"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr ""
-"Als u de configuratie liever handmatig doet, selecteer dan geen enkele server."
diff --git a/debian/po/pt.po b/debian/po/pt.po
deleted file mode 100644
index 4d2be89..0000000
--- a/debian/po/pt.po
+++ /dev/null
@@ -1,40 +0,0 @@
-# Portuguese translation for pnp4nagios
-# Copyright (C) 2011 Pedro Ribeiro
-# This file is distributed under the same license as the pnp4nagios package.
-# Pedro Ribeiro <p.m42.ribeiro at gmail.com>, 2011
-#
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios 0.6.13-1\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2011-12-06 00:18+0000\n"
-"Last-Translator: Pedro Ribeiro <p.m42.ribeiro at gmail.com>, 2011\n"
-"Language-Team: Portuguese <traduz at debianpt.org>\n"
-"Language: \n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "Servidores Web a configurar para o PNP4Nagios:"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr ""
-"Por favor escolha os servidores web que devem ser configurados para o "
-"PNP4Nagios."
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr ""
-"Se preferir configurar manualmente, não seleccione nenhum servidor."
diff --git a/debian/po/ru.po b/debian/po/ru.po
deleted file mode 100644
index d657a08..0000000
--- a/debian/po/ru.po
+++ /dev/null
@@ -1,40 +0,0 @@
-# Copyright (C) 2011 Debian Russian l10n team <debian-l10n-russian at lists.debian.org>
-# This file is distributed under the same license as the pnp4nagios package.
-#
-# Yuri Kozlov <yuray at komyakino.ru>, 2011.
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios 0.6.11-1\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2011-04-23 10:23+0400\n"
-"Last-Translator: Yuri Kozlov <yuray at komyakino.ru>\n"
-"Language-Team: Russian <debian-l10n-russian at lists.debian.org>\n"
-"Language: ru\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"X-Generator: Lokalize 1.0\n"
-"Plural-Forms: nplurals=3; plural=(n%10==1 && n%100!=11 ? 0 : n%10>=2 && "
-"n%10<=4 && (n%100<10 || n%100>=20) ? 1 : 2);\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "Веб-серверы для настройки под PNP4Nagios:"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr "Выберите веб-серверы, которые нужно настроить для PNP4Nagios."
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr "Если вы хотите выполнить настройку вручную, то ничего не выбирайте."
-
diff --git a/debian/po/sv.po b/debian/po/sv.po
deleted file mode 100644
index b6a77e7..0000000
--- a/debian/po/sv.po
+++ /dev/null
@@ -1,39 +0,0 @@
-# Translation of pnp4nagios debconf template to Swedish
-# Copyright (C) 2011 Martin Bagge <brother at bsnet.se>
-# This file is distributed under the same license as the pnp4nagios package.
-#
-# Martin Bagge <brother at bsnet.se>, 2011
-msgid ""
-msgstr ""
-"Project-Id-Version: pnp4nagios 0.6.13-1\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: 2011-06-02 14:45+0100\n"
-"Last-Translator: Martin Bagge / brother <brother at bsnet.se>\n"
-"Language-Team: Swedish <debian-l10n-swedish at lists.debian.org>\n"
-"Language: Swedish\n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=UTF-8\n"
-"Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: Swedish\n"
-"X-Poedit-Country: Sweden\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr "Webbservrar som ska ställas in för PNP4Nagios:"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr "Välj webbservrar som ska ställas in för PNP4Nagios."
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr "Vill du göra inställningarna manuellt ska ingen webbserver väljas här."
diff --git a/debian/po/templates.pot b/debian/po/templates.pot
deleted file mode 100644
index d7a231b..0000000
--- a/debian/po/templates.pot
+++ /dev/null
@@ -1,38 +0,0 @@
-# SOME DESCRIPTIVE TITLE.
-# Copyright (C) YEAR THE PACKAGE'S COPYRIGHT HOLDER
-# This file is distributed under the same license as the PACKAGE package.
-# FIRST AUTHOR <EMAIL at ADDRESS>, YEAR.
-#
-#, fuzzy
-msgid ""
-msgstr ""
-"Project-Id-Version: PACKAGE VERSION\n"
-"Report-Msgid-Bugs-To: pnp4nagios at packages.debian.org\n"
-"POT-Creation-Date: 2011-02-10 12:58+0100\n"
-"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
-"Last-Translator: FULL NAME <EMAIL at ADDRESS>\n"
-"Language-Team: LANGUAGE <LL at li.org>\n"
-"Language: \n"
-"MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=CHARSET\n"
-"Content-Transfer-Encoding: 8bit\n"
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Web servers to configure for PNP4Nagios:"
-msgstr ""
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid "Please select which web servers should be configured for PNP4Nagios."
-msgstr ""
-
-#. Type: multiselect
-#. Description
-#: ../pnp4nagios-web.templates:1001
-msgid ""
-"If you would prefer to perform configuration manually, leave all servers "
-"unselected."
-msgstr ""
diff --git a/debian/rules b/debian/rules
index 8298335..24d1873 100755
--- a/debian/rules
+++ b/debian/rules
@@ -74,7 +74,6 @@ clean:
dh_clean
rm -f scripts/rrd_modify.pl
- debconf-updatepo
install: build
dh_testdir
@@ -147,8 +146,6 @@ install: build
cp -av debian/nagios.cfg debian/tmp/etc/pnp4nagios/
cp -av debian/check_commands/* debian/tmp/etc/pnp4nagios/check_commands/
- cp -av sample-config/httpd.conf debian/tmp/etc/pnp4nagios/apache.conf
-
# Remove unnecessary config files (duplicates)
rm -f debian/tmp/etc/pnp4nagios/config_local.php
rm -f debian/tmp/etc/pnp4nagios/config.php.0.6*
@@ -163,16 +160,6 @@ install: build
rmdir debian/tmp/usr/share/pnp4nagios/html/application/hooks/
#rmdir debian/tmp/usr/share/pnp4nagios/html/application/libraries/
- #create modified version of icinga specific configs
- mkdir -p debian/pnp4nagios-web-config-icinga/etc/pnp4nagios
- sed -e 's/nagios3/icinga/' -e 's/Nagios/Icinga/' \
- debian/tmp/etc/pnp4nagios/apache.conf >\
- debian/pnp4nagios-web-config-icinga/etc/pnp4nagios/apache.conf
-
- sed -e 's/nagios3/icinga/' -e 's/nagiosadmin/icingadmin/' \
- debian/tmp/etc/pnp4nagios/config.php >\
- debian/pnp4nagios-web-config-icinga/etc/pnp4nagios/config.php
-
mkdir debian/tmp/etc/pnp4nagios/templates.d
cp debian/README.templates.d debian/tmp/etc/pnp4nagios/templates.d/README
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-nagios/pkg-pnp4nagios.git
More information about the Pkg-nagios-changes
mailing list